###########################################################################
#
#   cpu.mak
#
#   Rules for building CPU cores
#
#   Modified for P8000EMU - Matt Knoth
#   Copyright Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################


CPUSRC = $(EMUSRC)/cpu
CPUOBJ = $(EMUOBJ)/cpu


#-------------------------------------------------
# Dynamic recompiler objects
#-------------------------------------------------

ifdef PTR64

DRCOBJ = $(CPUOBJ)/x64drc.o $(CPUOBJ)/x86log.o $(CPUOBJ)/drcfe.o

DRCDEPS = 	$(CPUSRC)/x86emit.h \
			$(CPUSRC)/x64drc.c \
			$(CPUSRC)/x64drc.h \

$(DRCOBJ): $(DRCDEPS)

else

DRCOBJ = $(CPUOBJ)/x86drc.o $(CPUOBJ)/x86log.o $(CPUOBJ)/drcfe.o

DRCDEPS = 	$(CPUSRC)/x86emit.h \
			$(CPUSRC)/x86drc.c \
			$(CPUSRC)/x86drc.h \

$(DRCOBJ): $(DRCDEPS)

endif

#-------------------------------------------------
# Zilog Z80
#-------------------------------------------------

CPUDEFS += -DHAS_Z80=$(if $(filter Z80,$(CPUS)),1,0)

ifdef Z8001_CPU_INST_COVERAGE
CPUDEFS += -DZ8001_CPU_INST_COVERAGE
endif

ifneq ($(filter Z80,$(CPUS)),)
OBJDIRS += $(CPUOBJ)/z80
CPUOBJS += $(CPUOBJ)/z80/z80.o $(CPUOBJ)/z80/z80daisy.o
DBGOBJS += $(CPUOBJ)/z80/z80dasm.o
endif

$(CPUOBJ)/z80/z80.o:	$(CPUSRC)/z80/z80.c \
			$(CPUSRC)/z80/z80.h

#-------------------------------------------------
# Zilog Z8001
#-------------------------------------------------

CPUDEFS += -DHAS_Z8001=$(if $(filter Z8001,$(CPUS)),1,0)

ifneq ($(filter Z8001,$(CPUS)),)
OBJDIRS += $(CPUOBJ)/z8001
CPUOBJS += $(CPUOBJ)/z8001/z8001.o \
           $(CPUOBJ)/z8001/z8010.o
DBGOBJS += $(CPUOBJ)/z8001/8001dasm.o
endif

$(CPUOBJ)/z8001/z8001.o:	$(CPUSRC)/z8001/z8001.c \
				$(CPUSRC)/z8001/z8001.h \
				$(CPUSRC)/z8001/z8001cpu.h \
				$(CPUSRC)/z8001/z8001ops.c \
				$(CPUSRC)/z8001/z8001ops_seg.c \
				$(CPUSRC)/z8001/z8001tbl.c

$(CPUOBJ)/z8001/z8010.o:        $(CPUSRC)/z8001/z8010.c \
                                $(CPUSRC)/z8001/z8010.h

